package main

type CustomerVault []struct {
	CustomerVaultID       string `json:"customerVaultId" cs`
	MerchantDefinedFields []any  `json:"merchantDefinedFields"`
	BillingRecords        []struct {
		ID                     string `json:"id"`
		Priority               string `json:"priority"`
		FirstName              string `json:"firstName"`
		LastName               string `json:"lastName"`
		Company                string `json:"company"`
		Email                  string `json:"email"`
		Phone                  string `json:"phone"`
		Fax                    string `json:"fax"`
		Address1               string `json:"address1"`
		Address2               string `json:"address2"`
		City                   string `json:"city"`
		State                  string `json:"state"`
		PostalCode             string `json:"postalCode"`
		Country                string `json:"country"`
		Updated                string `json:"updated"`
		Created                string `json:"created"`
		PaymentMethod          string `json:"paymentMethod"`
		AccountNumber          string `json:"accountNumber"`
		AccountExpiration      string `json:"accountExpiration"`
		Routing                string `json:"routing"`
		CheckName              string `json:"checkName"`
		CheckAccountHolderType string `json:"checkAccountHolderType"`
		CheckAccountType       string `json:"checkAccountType"`
		CheckSecCode           string `json:"checkSecCode"`
	} `json:"billingRecords"`
	ShippingRecords []struct {
		ID         string `json:"id"`
		Priority   string `json:"priority"`
		FirstName  string `json:"firstName"`
		LastName   string `json:"lastName"`
		Company    string `json:"company"`
		Email      string `json:"email"`
		Phone      string `json:"phone"`
		Fax        string `json:"fax"`
		Address1   string `json:"address1"`
		Address2   string `json:"address2"`
		City       string `json:"city"`
		State      string `json:"state"`
		PostalCode string `json:"postalCode"`
		Country    string `json:"country"`
		Updated    string `json:"updated"`
		Created    string `json:"created"`
	} `json:"shippingRecords"`
}
